# Uses of Interface
javax.crypto.KEMSpi.EncapsulatorSpi

Packages that use KEMSpi.EncapsulatorSpi
Package
Description
javax.crypto
Provides the classes and interfaces for cryptographic operations.

## Uses of KEMSpi.EncapsulatorSpi in javax.crypto

Methods in javax.crypto that return KEMSpi.EncapsulatorSpi
Modifier and Type
Method
Description
`KEMSpi.EncapsulatorSpi`
KEMSpi.`engineNewEncapsulator(PublicKey publicKey, AlgorithmParameterSpec spec, SecureRandom secureRandom)`
Creates a KEM encapsulator on the KEM sender side.